Bug 16158 - [i915 mesa_7_0_branch] glean case fragProg1 failed
[i915 mesa_7_0_branch] glean case fragProg1 failed
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
unspecified
Other Linux (All)
: medium normal
Assigned To: haihao
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 20:36 UTC by Shuang He
Modified: 2008-06-10 18:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg log (41.04 KB, text/plain)
2008-05-29 20:38 UTC, Shuang He
Details
xorg conf (3.26 KB, text/plain)
2008-05-29 20:39 UTC, Shuang He
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shuang He 2008-05-29 20:36:38 UTC
System Environment:
--------------------------

--Platform: i915

--Architecture(32-bit,64-bit,compatiblity): all

--2D driver:  363ccc3dfbf8ab91608d502e0376a43653581856

--mesa(7_0 branch): feb1fa1e833b817374fb2e3f3224c64be9a680d8

--Xserver(1.4 branch): ddcca23a81abf5215f906a7ad097f1ed088ed92b

--Drm: 5b86823fa36513f521412a38c240cb18f02dcc9a

--Kernel:
2.6.23.1


Bug detailed description:
-------------------------
this issue only happens on i915.
glean case fragProg1 failed:
Fragment Program test 1: test a specific set of fragment programs.

FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, db, z24, s8, win+pmap, id 37
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, z24, s8, win+pmap, id 38
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, db, z24, s8, accrgba16, win+pmap, slow, id 41
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, z24, s8, accrgba16, win+pmap, slow, id 42
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, db, z24, s8, win+pmap, id 45
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, z24, s8, win+pmap, id 46
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, db, z24, s8, accrgba16, win+pmap, slow, id 49
	42 tests passed, 2 tests failed.
FAILURE:
  Program: COS test 2
  Expected color: 0.8775, 0.5403, 1, 0.8775
  Observed color: 0.878431, 0.541176, 0, 0
FAILURE:
  Program: SIN test 2
  Expected color: 0, 0, 0.4794, 0.4794
  Observed color: 0, 0, 0.478431, 0
fragProg1:  FAIL rgba8, z24, s8, accrgba16, win+pmap, slow, id 50
	42 tests passed, 2 tests failed




Reproduce steps:
----------------
1. start X
2. ./glean -r test -t fragProg1


Current result:
----------------
glean case fragProg1 failed
Comment 1 Shuang He 2008-05-29 20:38:56 UTC
Created attachment 16820 [details]
xorg log
Comment 2 Shuang He 2008-05-29 20:39:13 UTC
Created attachment 16821 [details]
xorg conf
Comment 3 Roland Scheidegger 2008-05-30 05:38:01 UTC
The sin/cos functions in mesa_7_0_branch have a few bugs, not only is the used taylor approximation not quite good enough, but repeating behaviour is wrong too. Eric fixed this on master, see commits d98abcbef0bd4200fc0fd30fc0524bf452df3572, 2551a5ee80ab523006618c79766e2409b2a62d84, 700a77fb48f364f85e013cf5fb68c04eb83317e7. It should be possible to apply these patches to mesa_7_0_branch.
Comment 4 haihao 2008-06-10 01:57:13 UTC
apply Eric's fixes to mesa_7_0_branch.
Comment 5 Shuang He 2008-06-10 18:04:31 UTC
verified, thanks